using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("排班信息人员明细表")]
    public partial class T_FM_DEPARTMENT_SCHEDULING_DETAIL : MesEntityBase
    {
        [Description("排班信息表ID")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_DepartmentScheduling", "Nav_DepartmentSchedulingDetail")]
        public Guid DEPARTMENT_SCHEDULING_ID { get; set; }

        [Description("人员ID")]
        [DataFieldForeignKey("Nav_Person")]
        public Guid PERSON_ID { get; set; }

        [Description("导航：人员表")]
        public virtual T_FM_PERSON Nav_Person { get; set; }

        [Description("导航：排班信息表")]
        public virtual T_FM_DEPARTMENT_SCHEDULING Nav_DepartmentScheduling { get; set; }
    }
}
